View Issue Details

IDProjectCategoryView StatusLast Update
0033888LazarusLCLpublic2018-09-16 16:34
ReportersembitAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version1.9 (SVN)Product Build58334 
Target Version1.10Fixed in Version1.9 (SVN) 
Summary0033888: TStringGrid: the cell editor is not shown when double-clicking.
DescriptionIn the edited grid, if you double-click on another cell, the editor is not shown. In Lazarus 1.7 it worked.
Steps To Reproduce1. Run project.
2. Try double-clicking on the cell.
TagsNo tags attached.
Fixed in Revision58958
LazTarget1.10
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0029877 resolvedJesus Reyes DBGrid onDblClick event 

Activities

sembit

2018-06-21 22:51

reporter  

TestGrid.zip (129,000 bytes)

Jesus Reyes

2018-09-12 04:36

developer   ~0110678

The current behavior was made compatible with Delphi when the related bug report was fixed. Now I made it compatible with the previous Lazarus version. Please test.

sembit

2018-09-16 16:34

reporter   ~0110793

Everything is working. Thank you.

Issue History

Date Modified Username Field Change
2018-06-21 22:51 sembit New Issue
2018-06-21 22:51 sembit File Added: TestGrid.zip
2018-09-12 03:45 Jesus Reyes Assigned To => Jesus Reyes
2018-09-12 03:45 Jesus Reyes Status new => assigned
2018-09-12 03:46 Jesus Reyes Relationship added related to 0029877
2018-09-12 04:36 Jesus Reyes Fixed in Revision => 58958
2018-09-12 04:36 Jesus Reyes LazTarget => 1.10
2018-09-12 04:36 Jesus Reyes Note Added: 0110678
2018-09-12 04:36 Jesus Reyes Status assigned => resolved
2018-09-12 04:36 Jesus Reyes Fixed in Version => 1.9 (SVN)
2018-09-12 04:36 Jesus Reyes Resolution open => fixed
2018-09-12 04:36 Jesus Reyes Target Version => 1.10
2018-09-16 16:34 sembit Note Added: 0110793
2018-09-16 16:34 sembit Status resolved => closed